LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::rendering::RepaintResult Constant Group Reference

These constants specify the result of the XCachedPrimitive render operation. More...

## Variables
const byte | REDRAWN =1
| Repaint succeeded, primitive has been exactly reproduced. More...
const byte | DRAFTED =2
| Repaint succeeded, primitive has been reproduced in preview quality. More...
const byte | FAILED =3
| Repaint failed altogether. More...

## Detailed Description

These constants specify the result of the XCachedPrimitive render operation.

Since
  OOo 2.0

## Variable Documentation

## ◆ DRAFTED

const byte DRAFTED =2

Repaint succeeded, primitive has been reproduced in preview quality.

## ◆ FAILED

const byte FAILED =3

Repaint failed altogether.

## ◆ REDRAWN

const byte REDRAWN =1

Repaint succeeded, primitive has been exactly reproduced.